Description

On the protoDUNE cluster, the date saved by the Buildinfo module is in ltalian. E.g., if we look at
np04-srv-002:/log/eventbuilder/part0-EventBuilder6-20181010181339.log, we see the following:

|Version
|v3_04_02

Package
artdag-core
artdag
dune—-raw—-data |vl_17_06a

dune-artdaqg |vl_16_00b

The logic in BuildIinfo should be made robust enough that regardless of the location of the computer we're running on, we always get
a date in English (see also related Issue #21106)

|v3_03_00_beta

|Timestamp

[10-0tt-2018 09:22:14
[10-0tt-2018 09:22:18
[10-0tt-2018 09:22:04
[10-0tt-2018 09:22:06

UTC
UTC
UTC
UTC

History

#1 - 10/25/2018 03:56 PM - John Freeman
- Status changed from New to Resolved

- % Done changed from 0 to 100

Enrico and the run control guys were made aware of the issue, and it appears to be resolved. E.g., on np04-srv-002, if | run:

cd /data2

source /nfs/sw/work_dirs/dune-artdaq_artdaqg_v3_03_00_beta/setupDUNEARTDAQ_forRunning
rawEventDump /data2/np04_raw_run005557_0001_dl8.root.copied -n 1

part of the output is

Package |Version
artdag-core |v3_04_02
artdag |v3_03_00_beta
dune-raw-data |v1l_17_06a
dune-artdaqg |vl_16_00b

| Timestamp

|25-0ct-2018
|25-0ct-2018
|25-0ct-2018
|25-0ct-2018

:08:49 UTC
:08:52 UTC
:08:57 UTC
:08:59 UTC

04/17/2021

1/1
